<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * InstitucionesCeepam
 *
 * @ORM\Table(name="instituciones_ceepam")
 * @ORM\Entity
 */
class InstitucionesCeepam
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_ins", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideIns;

    /**
     * @var string
     *
     * @ORM\Column(name="abreviatura", type="string", length=20, nullable=false)
     */
    private $abreviatura;

    /**
     * @var string
     *
     * @ORM\Column(name="id_institucion", type="string", length=20, nullable=true)
     */
    private $idInstitucion = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="cve_dgp", type="string", length=10, nullable=false)
     */
    private $cveDgp;

    /**
     * @var string
     *
     * @ORM\Column(name="nom_ins", type="string", length=255, nullable=false)
     */
    private $nomIns;

    /**
     * @var string
     *
     * @ORM\Column(name="letra", type="string", length=5, nullable=true)
     */
    private $letra = 'NULL';



    /**
     * Get ideIns
     *
     * @return integer
     */
    public function getIdeIns()
    {
        return $this->ideIns;
    }

    /**
     * Set abreviatura
     *
     * @param string $abreviatura
     *
     * @return InstitucionesCeepam
     */
    public function setAbreviatura($abreviatura)
    {
        $this->abreviatura = $abreviatura;
    
        return $this;
    }

    /**
     * Get abreviatura
     *
     * @return string
     */
    public function getAbreviatura()
    {
        return $this->abreviatura;
    }

    /**
     * Set idInstitucion
     *
     * @param string $idInstitucion
     *
     * @return InstitucionesCeepam
     */
    public function setIdInstitucion($idInstitucion)
    {
        $this->idInstitucion = $idInstitucion;
    
        return $this;
    }

    /**
     * Get idInstitucion
     *
     * @return string
     */
    public function getIdInstitucion()
    {
        return $this->idInstitucion;
    }

    /**
     * Set cveDgp
     *
     * @param string $cveDgp
     *
     * @return InstitucionesCeepam
     */
    public function setCveDgp($cveDgp)
    {
        $this->cveDgp = $cveDgp;
    
        return $this;
    }

    /**
     * Get cveDgp
     *
     * @return string
     */
    public function getCveDgp()
    {
        return $this->cveDgp;
    }

    /**
     * Set nomIns
     *
     * @param string $nomIns
     *
     * @return InstitucionesCeepam
     */
    public function setNomIns($nomIns)
    {
        $this->nomIns = $nomIns;
    
        return $this;
    }

    /**
     * Get nomIns
     *
     * @return string
     */
    public function getNomIns()
    {
        return $this->nomIns;
    }

    /**
     * Set letra
     *
     * @param string $letra
     *
     * @return InstitucionesCeepam
     */
    public function setLetra($letra)
    {
        $this->letra = $letra;
    
        return $this;
    }

    /**
     * Get letra
     *
     * @return string
     */
    public function getLetra()
    {
        return $this->letra;
    }
}
